まこと の ブログ

MaKoTo no burogu — Journal de bord…

Aller au contenu | Aller au menu | Aller à la recherche

Xsane et Scanner hp scanjet 3500c avec Ubuntu 10.04LTS

Avec Ubuntu 10.04LTS, Xsane se plante sur le scanner hp scanjet 3500c.
Alors qu'il reconnait bien le matériel, à la fin d'une simple prévisualisation, hop Xsane disparait !

Après recherches, il semble que ce soit dû à un soucis avec la version 1.0.20 du backend de sane (encore!)
D'ailleurs une solution apportée était de mettre une ancienne version de la librairie, en piquant le paquet libsane_1.0.19-23ubuntu7_i386.deb d'une ancienne version d'Ubuntu…

Comme j'en ai besoin pour le Lexmark, je me suis dit, qu'avec de la chance la version 1.0.21 de Sane résoudrait peut-être le soucis…
Notez bien qu'une fois encore, comme pour le Lexmark, «avant ça marchait», et que rien n'est gravé dans le marbre… les versions plus récentes ne fonctionnent parfois plus, due à une erreur qu'il ne faut pas hésiter à signaler, comme j'ai déjà pu le faire… avantage indéniable du logiciel libre !
Pour cette fois ce ne sera pas nécessaire, voyez plutôt :

Aller sur http://www.sane-project.org/source.html Prendre sane-backends-1.0.21.tar.gz

  • 1 - Désinstaller les packets :

- sane-utils
- xsane
- hplip

  • 2 - Installer le packet :

- libusb-dev

  • 3 - Décompresser : sane-backends-1.0.21.tar.gz, aller dans le dossier qui vient d'être créé
  • 4 - Puis lancer tour à tour :
./configure
make
sudo make install

xsaneinfoscanjet3500.png

  • 5 - Installer les packets :

- xsane, qui réclamera sa dépendance libsane (version 1.0.20-13ubuntu2) mais c'est pas grave laisser faire…
- sane-utils
- hplip

  • 6 - Lancer Xsane :

Vérifier : Fichier > infos
version de sane : 1.0.21 !!!!!! (au lieu de 1.0.20)

L'étape 1 (et donc la 5 aussi) est peut-être inutile.

Et ??
Et bien ça marche !! Xsane ne plante plus, je peux scanner sans problèmes :)

Commentaires

1. Le samedi, 24 juillet 2010, 00:52 par François

merci ça marche bien (10.04LTS + HP 3500)

2. Le samedi, 24 juillet 2010, 13:05 par MaKoTo

Heureux d'avoir pu t'aider ! ^__^

3. Le lundi, 6 septembre 2010, 21:05 par sbourdette

Ca a marché pour moi aussi
10.04 + 3570C

4. Le mercredi, 6 octobre 2010, 13:36 par ammine007

Salam,

Merci pour le tuto fort interessant,

en suivant le tuto j'ai remarqué que la 1.0.21 de sane-backend supporte des sa compilation le hp3500.

pour moi, j'ai un hp3770, on voit qu'il n'est pas compilé par defaut lors du make.

le driver qui circule sur la toile a été réalisé pour la 1.013

ma question est la suivante :

Suis-je obligé de revenir vers la 1.0.13 pour pouvoir utilisé mon Scanner hp3770...?

Y'a t il une solution pour utiliser mon hp3770 avec la 1.0.21...?

merci bien pour l'article, tres interessant !

5. Le vendredi, 8 octobre 2010, 18:46 par MaKoTo

Hum… désolé mais ce scanner n'est pas supporté !!
http://www.sane-project.org/sane-mf...
De plus il parait étrange que le hp3770 ne soit plus disponible, alors qu'il l'aurait été auparavant…
Je t'invite à signaler le problème au gens du projet sane !
Tu pourras alors contribuer à faire fonctionner ce scanner en cliquant sur «unsupported» (cf. la liste du lien précédent)

Ajouter un commentaire

Les commentaires peuvent être formatés en utilisant une syntaxe wiki simplifiée.

Fil des commentaires de ce billet